Bug 79450 - Other: Bubbles too near disapear in a Calc chart
Summary: Other: Bubbles too near disapear in a Calc chart
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-05-30 10:04 UTC by ap.pourtous
Modified: 2019-09-16 11:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example of Calc chart to demonstrate the problem. (19.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-30 10:04 UTC, ap.pourtous
Details
attachment-31675-0.html (2.63 KB, text/html)
2014-05-31 13:49 UTC, ap.pourtous
Details
attachment-31675-1.dat (1 bytes, multipart/alternative)
2014-05-31 13:49 UTC, ap.pourtous
Details
Calc_centered_bubbles.ods (19.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-31 13:49 UTC, ap.pourtous
Details
Calc_centered_bubbles_Screen_Copy.jpg (219.49 KB, image/jpeg)
2014-05-31 13:49 UTC, ap.pourtous
Details
attachment-32654-0.html (2.52 KB, text/html)
2014-05-31 13:54 UTC, ap.pourtous
Details
attachment-32654-1.dat (1 bytes, multipart/alternative)
2014-05-31 13:54 UTC, ap.pourtous
Details
Calc_centered_bubbles_Screen_copy_bis.jpg (230.20 KB, image/jpeg)
2014-05-31 13:54 UTC, ap.pourtous
Details
Sample file to test (41.83 KB, application/xml)
2014-06-01 13:04 UTC, m.a.riosv
Details
attachment-27371-0.html (2.79 KB, text/html)
2014-06-02 20:34 UTC, ap.pourtous
Details
attachment-27371-1.dat (1 bytes, multipart/alternative)
2014-06-02 20:34 UTC, ap.pourtous
Details
Calc_centered_bubbles_v3.ods (27.35 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-06-02 20:34 UTC, ap.pourtous
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ap.pourtous 2014-05-30 10:04:26 UTC
Created attachment 100155 [details]
Example of Calc chart to demonstrate the problem.

Problem description: in a bubble chart in Calc, when the coordinates of two bubbles, successive in the data table, are too near, only one of the two bubbles appears in the chart. The problem is visible when the color of the bubbles is chosen with a transparency. If the coordinates of the bubbles are slightly different (there is a threshold), or if they do not correspond to successive rows in the data table, there is no problem.

I have not checked if the problem still exists in the latest version of LibreOffice, but it did in previous versions of OpenOffice and LibreOffice and I have not seen it reported yet.

Sample data for testing (create a bubble chart with displaying category labels to the right of bubbles and choosing a transparency of 60% for example) :

label	x	y	taille
bubbles centered	1	4	2
	1	4	1
bubbles centered but separated	1	3	2
(intermediate bubble)	1.5	2.6	0.2
	1	3	1
bubbles offset	1	2	2
	1.01	2	1
bubbles slightly offset	1	1	2
	1.005	1	1


NB #1 : 0.005 is, in this case, the offset value below which only one bubble appears.

NB #2 : I reported the problem in French but the Submission button did not seem working.


Operating System: Windows XP
Version: 4.1.6.2 release
Comment 1 m.a.riosv 2014-05-30 22:45:24 UTC Comment hidden (obsolete)
Comment 2 ap.pourtous 2014-05-31 13:49:07 UTC Comment hidden (no-value)
Comment 3 ap.pourtous 2014-05-31 13:49:07 UTC Comment hidden (no-value)
Comment 4 ap.pourtous 2014-05-31 13:49:07 UTC
Created attachment 100203 [details]
Calc_centered_bubbles.ods
Comment 5 ap.pourtous 2014-05-31 13:49:07 UTC
Created attachment 100204 [details]
Calc_centered_bubbles_Screen_Copy.jpg
Comment 6 ap.pourtous 2014-05-31 13:54:51 UTC Comment hidden (no-value)
Comment 7 ap.pourtous 2014-05-31 13:54:52 UTC Comment hidden (no-value)
Comment 8 ap.pourtous 2014-05-31 13:54:52 UTC
Created attachment 100207 [details]
Calc_centered_bubbles_Screen_copy_bis.jpg
Comment 9 m.a.riosv 2014-06-01 13:04:33 UTC
Created attachment 100235 [details]
Sample file to test

Reproducible with:
Win7x64
Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
Version: 4.4.0.0.alpha0+ Win-x86@39, Branch:master, Time: 2014-05-29_10:21:12

Seems as it's needs a minimal difference in the position to sum the color,

But when we assign a different colour to the bubbles, seems to works, please try with the last three bubbles.
Comment 10 ap.pourtous 2014-06-02 20:34:56 UTC
Created attachment 100333 [details]
attachment-27371-0.html

Yes, I did obtain the same result as you, when the color of each of the
three last bubbles are "manually" changed, and even if the color chosen is
the default color of the series [see lines 9-11].

One detail: when two bubbles are centered *without having changed their
default color*, the color do not sum, but also the label of the second
bubble does not appear [see lines 1-2] and the bubble cannot be selected in
the chart (for example by using the TAB button from another bubble
selected). All is like the line of the second bubble in the data table
would not be red when building the chart (the second bubble does not seem
to exist in the chart). In fact, the transparency of the color does not
change this behaviour [see the second chart, which has been obtained by
copying the first one and removing transparency of the color of the series].


2014-06-01 15:04 GMT+02:00 <bugzilla-daemon@freedesktop.org>:

>   *Comment # 9 <https://bugs.freedesktop.org/show_bug.cgi?id=79450#c9> on
> bug 79450 <https://bugs.freedesktop.org/show_bug.cgi?id=79450> from
> m.a.riosv <mariosv@miguelangel.mobi> *
>
> Created attachment 100235 [details] <https://bugs.freedesktop.org/attachment.cgi?id=100235> [details] <https://bugs.freedesktop.org/attachment.cgi?id=100235&action=edit>
> Sample file to test
>
> Reproducible with:
> Win7x64
> Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
> Version: 4.4.0.0.alpha0+ Win-x86@39, Branch:master, Time: 2014-05-29_10:21:12
>
> Seems as it's needs a minimal difference in the position to sum the color,
>
> But when we assign a different colour to the bubbles, seems to works, please
> try with the last three bubbles.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 11 ap.pourtous 2014-06-02 20:34:57 UTC
Created attachment 100334 [details]
attachment-27371-1.dat
Comment 12 ap.pourtous 2014-06-02 20:34:57 UTC
Created attachment 100335 [details]
Calc_centered_bubbles_v3.ods
Comment 13 m.a.riosv 2014-06-02 21:02:32 UTC
Confirmed your last comments.

But, please don't reproduce the emails in the answer, that make the thread more difficult to follow.
Comment 14 Markus Mohrhard 2014-06-24 18:48:09 UTC
This is related to a performance improvement hack. We check if two objects are at the same place and in that case don't render the second. This is a bit more problematic for bubbles where the bubble size is different between the two points.

I'll think a bit if we can remove this feature for bubble charts.
Comment 15 Doug 2014-08-13 21:10:11 UTC
I also am encountering this bug; it is blocking use of translucent bubbles to display values that might repeat, since this bug means some of the data just is not displayed (making the chart inaccurate).  I had hoped to use uniform translucent bubbles to visually represent the clumping effect of data, but instead the bug eliminates the visual effect.

In addition, failure to render overlaid datapoints is unexpected result for scatterplots with data labels.  One would expect that overlaid data points would have overlaid data labels, which would prompt closer examination of visual representation on chart.  Taking that out removes a visual cue that LO is removing data points, and so I think that also is a bug.
Comment 16 QA Administrators 2015-09-04 02:48:39 UTC Comment hidden (obsolete)
Comment 17 m.a.riosv 2015-09-06 23:21:07 UTC
Issue still there.
Comment 18 QA Administrators 2016-09-20 10:29:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920